SDHLibrary-CPP 0.0.2.10 C++ access library for SCHUNK Dextrous Hand SDH

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Functions | Variables

# demo/demo-GetAxisActualAngle.cpp File Reference
Demonstration programs

Print measured actual axis angles of an attached SDH. (C++ demo application using the SDHLibrary-CPP library.) See __help__ and online help ("-h" or "--help") for available options. More...

`#include <getopt.h>`
`#include <assert.h>`
`#include <iostream>`
`#include <vector>`
`#include "sdh/sdh.h"`
`#include "sdh/simpletime.h"`
`#include "sdh/util.h"`
`#include "sdh/sdhlibrary_settings.h"`
`#include "sdh/basisdef.h"`
`#include "sdhoptions.h"`
Include dependency graph for demo-GetAxisActualAngle.cpp:

## Functions
int | main (int argc, char **argv)
## Variables
char const * | usage = "usage: demo-GetAxisActualAngle [options]\n"
Some informative variables
char const * | __help__ = " > demo-GetAxisActualAngle --port=2 -v\n"
char const * | __author__ = "Dirk Osswald: dirk.osswald@de.schunk.com"
char const * | __url__ = "http://www.schunk.com"
char const * | __version__ = "$Id: demo-GetAxisActualAngle.cpp 10351 2013-06-18 16:28:14Z Osswald2 $"
char const * | __copyright__ = "Copyright (c) 2007 SCHUNK GmbH & Co. KG"

## Detailed Description

Print measured actual axis angles of an attached SDH. (C++ demo application using the SDHLibrary-CPP library.) See __help__ and online help ("-h" or "--help") for available options.

## General file information

Author:
  Dirk Osswald

Date:
  2007-03-07

## Copyright

Copyright (c) 2007 SCHUNK GmbH & Co. KG

## Function Documentation

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

## Variable Documentation

char const* __author__ = "Dirk Osswald: dirk.osswald@de.schunk.com"

char const* __copyright__ = "Copyright (c) 2007 SCHUNK GmbH & Co. KG"

char const* __help__ = " > demo-GetAxisActualAngle --port=2 -v\n"

char const* __url__ = "http://www.schunk.com"

char const* __version__ = "$Id: demo-GetAxisActualAngle.cpp 10351 2013-06-18 16:28:14Z Osswald2 $"

char const* usage = "usage: demo-GetAxisActualAngle [options]\n"